Page MenuHomeFreeBSD

sysutils/powerdxx: Update to 0.2.5
ClosedPublic

Authored by kami on Dec 3 2016, 10:47 AM.

Details

Summary
sysutils/powerdxx: Update to 0.2.5

- Update to 0.2.5, fixes bug in 12-CURRENT [1]
- Update pkg-plist
- Update LICENSE (BSD2CLAUSE -> ISCL)

[1] https://github.com/lonkamikaze/powerdxx/releases/tag/0.2.5 

#Reviewed by: mat, koobs
Approved by: koobs (mentor)
#Differential Revision: D8698
Test Plan

Tested in poudriere:

rel-archsysutils/powerdxx
9.3-amd64OK
9.3-i386OK
10.3-amd64OK
10.3-i386OK
11.0-amd64OK
11.0-i386OK

The host system:
FreeBSD AprilRyan.norad 11.0-STABLE FreeBSD 11.0-STABLE #0 r310323

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kami retitled this revision from to Update sysutils/powerdxx to from 0.1.5 to 0.2.4.
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami added reviewers: cs, koobs.
koobs requested changes to this revision.Dec 4 2016, 7:32 AM
koobs edited edge metadata.

Revision SUMMARY should contain a list of port changes (in the form of a well formed commit log message), not ported-software changes.

This revision now requires changes to proceed.Dec 4 2016, 7:32 AM
In D8698#180414, @koobs wrote:

Revision SUMMARY should contain a list of port changes (in the form of a well formed commit log message), not ported-software changes.

The commit message on the other hand, should only contain why you are changing things, not what you are changing.

The what can be seen in the diff, the why is lost if you don't write it down.

koobs removed a subscriber: mat.

@kami To clarify my previous comment

Itemized change (what), rationale/explanation (why)

This feedback was provided in further detail in D8692#180275

kami edited the test plan for this revision. (Show Details)
kami edited edge metadata.
kami edited the test plan for this revision. (Show Details)

Move up to 0.2.5, because of a bug under 12-CURRENT.

See the release tag for details:
https://github.com/lonkamikaze/powerdxx/releases/tag/0.2.5

kami retitled this revision from Update sysutils/powerdxx to from 0.1.5 to 0.2.4 to Update sysutils/powerdxx to from 0.1.5 to 0.2.5.Dec 30 2016, 2:01 AM
kami updated this object.
kami edited edge metadata.
In D8698#180414, @koobs wrote:

Revision SUMMARY should contain a list of port changes (in the form of a well formed commit log message), not ported-software changes.

The commit message on the other hand, should only contain why you are changing things, not what you are changing.

The what can be seen in the diff, the why is lost if you don't write it down.

mat added a reviewer: mat.

mentors timeout.

Despite @mat accepting it it is still set to „Needs Review“. Is this a glitch or something I need to take care of?

koobs retitled this revision from Update sysutils/powerdxx to from 0.1.5 to 0.2.5 to sysutils/powerdxx: Update to 0.2.5.Mar 29 2017, 4:45 AM
koobs edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Mar 29 2017, 4:45 AM

@kami I have updated the differential SUMMARY to give you an example of what/how all future summary's should look, contain and be formatted. Don't hesitate to ping me on IRC or Email if anything is unclear. If this changeset is still current, it can be committed (approved)

This revision was automatically updated to reflect the committed changes.